> For the complete documentation index, see [llms.txt](https://docs.relevant-digital.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.addauctioncallbacks.md).

# relevantDigital.addAuctionCallbacks()

Use `relevantDigital.addAuctionCallbacks()` when you cannot change the [relevantDigital.loadPrebid()](/technical/integration/javascript-api/relevantdigital.loadprebid.md) call. For example, register callbacks from custom JavaScript in the Yield UI.

### Register callbacks

#### Example

```
window.relevantDigital = window.relevantDigital || {};
relevantDigital.cmd = relevantDigital.cmd || [];
relevantDigital.cmd.push(function() {
   relevantDigital.addAuctionCallbacks({
       onSlotAndUnit: function({ slot, unit }) {
           console.info('Relevant Yield auction object', this);
           console.info('Slot and unit', slot, unit);
       },
       onBeforeAdRequest: function(params) {
           console.info('Relevant Yield auction object', this);
           console.info('Parameters', params);
       },        
   }); 
});
```

### Callback behavior

* `this` is the auction object.
* Callbacks registered for the same event run in registration order.
* You can intercept any auction-object function.
* This includes callbacks normally passed to `loadPrebid()`.

### Run a callback after the default handler

Listeners run before the default callback or function. Pass `{ when: 'after' }` as the second argument to run a listener afterward.

Use this option to inspect or modify the default return value.

#### Example

```
relevantDigital.addAuctionCallbacks({
    createAdUnitCode: function(result, params) {
        console.info("Parameters", params);
        return (result || 'unknown') + '-extra'
    },
}, { when: 'after' });  
```

### Return values

* The default return value is the first callback argument.
* The normal callback arguments follow it.
* Return the first argument to preserve the default result.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.addauctioncallbacks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
